package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.RealExam;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

public class StudentRealExamPostVo {
    /**
     * 包括最终成绩。
     */
    private RealExam realExam;
    /**
     * 1.排除故障。
     */
    private List<RealExamFaultReportPart1Vo> listPart1;
    /**
     * 2.修理维修报告
     */
    private List<RealExamFaultReportPart2Vo> listPart2;
    /**
     * 3.维修时间。
     */
    private RealExamFaultReportPart3Vo part3;

    public RealExam getRealExam() {
        return realExam;
    }

    public void setRealExam(RealExam realExam) {
        this.realExam = realExam;
    }

    public List<RealExamFaultReportPart1Vo> getListPart1() {
        return listPart1;
    }

    public void setListPart1(List<RealExamFaultReportPart1Vo> listPart1) {
        this.listPart1 = listPart1;
    }

    public List<RealExamFaultReportPart2Vo> getListPart2() {
        return listPart2;
    }

    public void setListPart2(List<RealExamFaultReportPart2Vo> listPart2) {
        this.listPart2 = listPart2;
    }

    public RealExamFaultReportPart3Vo getPart3() {
        return part3;
    }

    public void setPart3(RealExamFaultReportPart3Vo part3) {
        this.part3 = part3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("realExam", realExam)
                .append("listPart1", listPart1)
                .append("listPart2", listPart2)
                .append("part3", part3)
                .toString();
    }
}
